View Issue Details

IDProjectCategoryView StatusLast Update
0000187FreeCADFeaturepublic2011-04-25 19:02
Reporterpperisin Assigned Toyorik  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.12 
Summary0000187: Dimension of angles and radiuses/diameters
DescriptionI would like to be able to place dimensions on angles and radius/diameters of an arc
TagsNo tags attached.
FreeCAD Information

Activities

yorik

2010-10-27 10:24

administrator   ~0000390

I can add those features to the Draft dimensions

yorik

2011-04-08 20:26

administrator   ~0000774

Angular dimension is now implemented in r4380 (ALT-select 2 edges while drawing the dimension). Still radius & diameter to do...

unauthenticated

2011-04-09 03:11

viewer   ~0000775

There is another small issue. Actually you have to read vertical dimension from "left side of paper". According ISO all dimesion should be readable from down or right http://en.wikipedia.org/wiki/File:Geometric_dimenioning_and_tolerancing-hole.svg
Kwahoo

yorik

2011-04-09 12:59

administrator   ~0000776

Oh, indeed... I made everything the other way ;)
Time for a preferences setting...

yorik

2011-04-09 15:30

administrator   ~0000777

In latest revision:

- dimension texts orientation now follow ISO norm (can be changed in Draft preferences)
- diameter dimensions can be added by ALT-selecting a circle or arc
- radius dimensions can be added the same way, pressing SHIFT after selecting the object

Next steps:

- add radius and diameter symbols to dimensions
- make all this associative to objects

yorik

2011-04-25 19:02

administrator   ~0000802

done in r4445

Issue History

Date Modified Username Field Change
2010-10-27 08:39 pperisin New Issue
2010-10-27 10:24 yorik Note Added: 0000390
2010-10-27 10:24 yorik Status new => assigned
2010-10-27 10:24 yorik Assigned To => yorik
2011-04-08 20:26 yorik Note Added: 0000774
2011-04-09 03:11 unauthenticated Note Added: 0000775
2011-04-09 12:59 yorik Note Added: 0000776
2011-04-09 15:30 yorik Note Added: 0000777
2011-04-25 19:02 yorik Note Added: 0000802
2011-04-25 19:02 yorik Status assigned => closed
2011-04-25 19:02 yorik Resolution open => fixed
2011-04-25 19:02 yorik Fixed in Version => 0.12